Bug 1877359

Summary: Review Request: python-thingserver - HTTP Web Thing implementation
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-30 00:15:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1433756, 1809858, 1875495    
Bug Blocks: 1269538    

Description Fabian Affolter 2020-09-09 13:00:39 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-thingserver.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-thingserver-0.2.1-1.fc32.src.rpm

Project URL: https://github.com/labthings/python-thingserver

Description:
Implementation of an HTTP Web Thing.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=51058687

rpmlint output:
$ rpmlint python-thingserver-0.2.1-1.fc32.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-thingserver-0.2.1-1.fc32.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-09-10 20:04:19 UTC
 - Latest version packaged
 - License ok
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-09-11 07:45:33 UTC
Thanks for the review. Your help is very much appreciated.

Comment 3 Gwyn Ciesla 2020-09-11 14:33:28 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-thingserver

Comment 4 Fedora Update System 2020-09-25 18:46:59 UTC
FEDORA-2020-f38dfbe72b has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f38dfbe72b

Comment 5 Fedora Update System 2020-09-26 01:28:57 UTC
FEDORA-2020-f38dfbe72b has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-f38dfbe72b \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f38dfbe72b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-09-30 00:15:39 UTC
FEDORA-2020-f38dfbe72b has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.